### Virtual Method

# Goa Ticketing get_details

since: 3.18

#### Declaration [src]

    GVariant*
    get_details (
      GoaTicketing* object
    )

#### Description [src]

Gets the value of the “Details” D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_ticketing_dup_details()` if on another thread.

Available since: 3.18

#### Return value

Type: `GVariant`

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object`.

The returned data is owned by the instance.
The return value can be `NULL`.